UnknownGroupException (Java SE 15 & JDK 15)
Description: declaration: module: java.rmi, package: java.rmi.activation, class: UnknownGroupException
Keywords: java.rmi.activation.UnknownGroupException class

Module java.rmi
Package java.rmi.activation

# Class UnknownGroupException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.rmi.activation.ActivationException
java.rmi.activation.UnknownGroupException

All Implemented Interfaces:
  `Serializable`

    @Deprecated(forRemoval=true,
                since="15")
    public class UnknownGroupException
    extends ActivationException

Deprecated, for removal: This API element is subject to removal in a future version.
See the `java.rmi.activation` package specification for further information.
An `UnknownGroupException` is thrown by methods of classes and interfaces in the `java.rmi.activation` package when the `ActivationGroupID` parameter to the method is determined to be invalid, i.e., not known by the `ActivationSystem`. An `UnknownGroupException` is also thrown if the `ActivationGroupID` in an `ActivationDesc` refers to a group that is not registered with the `ActivationSystem`

Since:
  1.2
See Also:
  `Activatable`, `ActivationGroup`, `ActivationGroupID`, `ActivationMonitor`, `ActivationSystem`, Serialized Form

- ## Field Summary

  ### Fields declared in class java.rmi.activation.ActivationException

  `detail`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UnknownGroupException​(String s)` | Deprecated, for removal: This API element is subject to removal in a future version. Constructs an `UnknownGroupException` with the specified detail message.

- ## Method Summary

  ### Methods declared in class java.rmi.activation.ActivationException

  `getCause, getMessage`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnknownGroupException

    public UnknownGroupException​(String s)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs an `UnknownGroupException` with the specified detail message.
    Parameters:
      `s` - the detail message
    Since:
      1.2